> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorize a pending charge (OTP/PIN/3DS)



## OpenAPI

````yaml /openapi.json post /api/v1/wallet/deposit/authorize
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/wallet/deposit/authorize:
    post:
      tags:
        - Deposits
      summary: Authorize a pending charge (OTP/PIN/3DS)
      operationId: DepositController_authorizeDeposit
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DepositAuthDto'
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseDto'
      security:
        - bearer: []
        - api-key: []
components:
  schemas:
    DepositAuthDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - pin
            - otp
            - avs
            - redirect_url
            - payment_instruction
        reference:
          type: string
        pin:
          type: string
        otp:
          type: string
        avs:
          $ref: '#/components/schemas/FlwAvsAuthdto'
      required:
        - type
        - reference
    ResponseDto:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        data:
          type: object
        errors:
          type: object
      required:
        - statusCode
        - message
        - data
        - errors
    FlwAvsAuthdto:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/FlwBillingAddressDto'
      required:
        - address
    FlwBillingAddressDto:
      type: object
      properties:
        city:
          type: string
        country:
          type: string
        line1:
          type: string
        line2:
          type: string
        postal_code:
          type: string
        state:
          type: string
      required:
        - city
        - country
        - line1
        - line2
        - postal_code
        - state
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````